Bug 133585 - Backspace in vim and man
Backspace in vim and man
Product: Fedora
Classification: Fedora
Component: vim (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-09-24 18:14 EDT by Bob Lynch
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-01-25 08:42:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bob Lynch 2004-09-24 18:14:06 EDT
Description of problem: All of sudden after upgrading to FC3T2, I get
"^?" lotsa places, but vi(m) and man are the most bothersome.  I fixed
vi(m) with "set t_kb=^?" in ~/.vimrc, but haven't yet figured out how
to fix man.

Version-Release number of selected component (if applicable):
vim-common-6.3.025-2, man-1.5m2-8

How reproducible: Always appears, will not go away unless, for
example, ~/.vimrc fix above applied.

Steps to Reproduce:
1. Open a document, "vi my.txt".
2. Go to insert mode, type some text.
3. Try to backspace to erase text.
Actual results:
Hitting backspace, which previously erased, gives "^?", no erase.

Expected results:
Text erase in insert mode.

Additional info: In a man page, trying to search for a string, same
behavior of backspace which previously erased text in /string_to_search.
Comment 1 Karsten Hopp 2005-01-25 08:42:47 EST
I think this got fixed for the final version.

Note You need to log in before you can comment on or make changes to this bug.